Bug 1426954 - Review Request: golang-github-chaseadamsio-goorgeous - Org to HTML Parser written in Go
Summary: Review Request: golang-github-chaseadamsio-goorgeous - Org to HTML Parser wri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2017-02-26 19:24 UTC by Athos Ribeiro
Modified: 2017-04-04 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:02:12 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)
fedora-review (7.57 KB, text/plain)
2017-03-07 21:16 UTC, Fabio Valentini
no flags Details

Description Athos Ribeiro 2017-02-26 19:24:37 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-chaseadamsio-goorgeous.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-chaseadamsio-goorgeous-0-0.1.git054aba6.fc25.src.rpm

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18077650

Description:
The purpose of this package is to come as close as possible as parsing an *.org
document into HTML, the same way one might publish with org-publish-html from
Emacs.

Fedora Account System Username: athoscr

Note that I created a dir in %{_datadir} for data needed for tests and am packaging it into the unit tests subpackage

Comment 2 Fabio Valentini 2017-03-07 20:56:03 UTC
Taking this review.

Comment 3 Fabio Valentini 2017-03-07 21:16:37 UTC
Created attachment 1260966 [details]
fedora-review

Comment 4 Fabio Valentini 2017-03-07 21:17:32 UTC
Package looks good (full fedora-review output in the attachment).
Just two minor remarks:

- You *should* re-phrase the %summary to comply with the "summary-not-capitalized" rpmlint warning, for example: "ORG to HTML parser written in Go" (or something like that). Additionally, repeating the project/package name in the summary is frowned upon.

- You *could* remove empty %if-%endif blocks (or ones that just contain comments) to clean up the .spec file a bit. But if you want to leave them in, that's fine (and it makes it a bit easier to fill in new dependencies if the package ever grows some in the future).


Once you have decided on a "fully compliant" Summary tag, I will approve the package (you don't have to bump the spec file and rebuild the srpm, fixing it upon git import is enough).

Comment 5 Athos Ribeiro 2017-03-07 23:23:10 UTC
Hi Fabio,

Thank you for your review!

I fixed the Summary and removed one empty conditional block as you suggested.

Since I was at it, I did bump the spec and got a new srpm :)

Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-chaseadamsio-goorgeous.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-chaseadamsio-goorgeous-0-0.3.git054aba6.fc25.src.rpm

Comment 6 Fabio Valentini 2017-03-08 09:01:14 UTC
Looks good!

Comment 7 Athos Ribeiro 2017-03-08 12:08:41 UTC
Thank you, Fabio!

Comment 8 Gwyn Ciesla 2017-03-08 15:34:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-chaseadamsio-goorgeous

Comment 9 Fedora Update System 2017-03-08 18:06:40 UTC
golang-github-chaseadamsio-goorgeous-0-0.3.git054aba6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43ef32dfe3

Comment 10 Fedora Update System 2017-03-10 23:22:35 UTC
golang-github-chaseadamsio-goorgeous-0-0.3.git054aba6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43ef32dfe3

Comment 11 Fedora Update System 2017-04-04 16:02:12 UTC
golang-github-chaseadamsio-goorgeous-0-0.3.git054aba6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.